Bug 1130601 - [abrt] setroubleshoot-server: avtab_state_next(): python2.7 killed by SIGSEGV
Summary: [abrt] setroubleshoot-server: avtab_state_next(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:06e7ac734d77e20dd8ade6cef4b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 16:00 UTC by Benjamin
Modified: 2015-06-29 22:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:05:13 UTC


Attachments (Terms of Use)
File: backtrace (38.36 KB, text/plain)
2014-08-15 16:00 UTC, Benjamin
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-15 16:00 UTC, Benjamin
no flags Details
File: core_backtrace (10.37 KB, text/plain)
2014-08-15 16:00 UTC, Benjamin
no flags Details
File: dso_list (6.10 KB, text/plain)
2014-08-15 16:00 UTC, Benjamin
no flags Details
File: environ (1.06 KB, text/plain)
2014-08-15 16:00 UTC, Benjamin
no flags Details
File: exploitable (100 bytes, text/plain)
2014-08-15 16:00 UTC, Benjamin
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-15 16:00 UTC, Benjamin
no flags Details
File: maps (28.35 KB, text/plain)
2014-08-15 16:00 UTC, Benjamin
no flags Details
File: open_fds (399 bytes, text/plain)
2014-08-15 16:00 UTC, Benjamin
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2014-08-15 16:00 UTC, Benjamin
no flags Details
File: var_log_messages (500 bytes, text/plain)
2014-08-15 16:00 UTC, Benjamin
no flags Details

Description Benjamin 2014-08-15 16:00:23 UTC
Version-Release number of selected component:
setroubleshoot-server-3.2.17-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/python -Es /usr/bin/sealert -s
crash_function: avtab_state_next
executable:     /usr/bin/python2.7
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 avtab_state_next at iterator.c:304
 #1 qpol_policy_add_cond_rule_traceback at policy_extend.c:601
 #2 policy_extend at policy_extend.c:1117
 #3 qpol_policy_open_from_file_opt at policy.c:994
 #4 qpol_policy_open_from_file at policy.c:1099
 #5 apol_policy_create_from_policy_path at policy.c:98
 #6 wrap_policy at policy.c:76
 #7 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4098
 #8 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740
 #9 fast_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4184

Comment 1 Benjamin 2014-08-15 16:00:29 UTC
Created attachment 927149 [details]
File: backtrace

Comment 2 Benjamin 2014-08-15 16:00:30 UTC
Created attachment 927150 [details]
File: cgroup

Comment 3 Benjamin 2014-08-15 16:00:32 UTC
Created attachment 927151 [details]
File: core_backtrace

Comment 4 Benjamin 2014-08-15 16:00:34 UTC
Created attachment 927152 [details]
File: dso_list

Comment 5 Benjamin 2014-08-15 16:00:35 UTC
Created attachment 927153 [details]
File: environ

Comment 6 Benjamin 2014-08-15 16:00:36 UTC
Created attachment 927154 [details]
File: exploitable

Comment 7 Benjamin 2014-08-15 16:00:38 UTC
Created attachment 927155 [details]
File: limits

Comment 8 Benjamin 2014-08-15 16:00:40 UTC
Created attachment 927156 [details]
File: maps

Comment 9 Benjamin 2014-08-15 16:00:41 UTC
Created attachment 927157 [details]
File: open_fds

Comment 10 Benjamin 2014-08-15 16:00:42 UTC
Created attachment 927158 [details]
File: proc_pid_status

Comment 11 Benjamin 2014-08-15 16:00:43 UTC
Created attachment 927159 [details]
File: var_log_messages

Comment 12 Miroslav Grepl 2014-09-03 13:56:52 UTC
Do you know what AVC caused it in sealert? Are you able to reproduce it?

Comment 13 Benjamin 2014-09-19 20:14:36 UTC
Bug 1144591 happened shortly before or after this one.
I'm not sure what was the reason. No more issues since then.

Comment 14 Fedora End Of Life 2015-05-29 12:38:45 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-29 22:05:13 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.